Subject: [6pack] tr250 oil pressure issue

From: Yahoo <[email-masked]>
Date: Wed, 25 Sep 2013 08:22:55 -0700 (PDT)

Did the guy with the oil pressure issue on his new 250 motor ever get this
sorted?   inquiring minds want to know.    
 
I'm hoping to do a repeat on the
San Diego mechanic with (300,000?) miles on his 250 and never did the bottom
end.   In the Triumph magazine article he said he just does regular oil
changes with STP.    I've shaved the head and a hotter cam so I may have added
additional stress to the engine.   my oil pressure hasn't deteriorated in 16
years of ownerhip.
 
Cheers,  Bruce Simms 73 tr6

________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/6pack/[email-masked]